Bug 248488 - Backport divider= option from RHEL5 U1 to RHEL4
Summary: Backport divider= option from RHEL5 U1 to RHEL4
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
high
high
Target Milestone: beta
: ---
Assignee: Chris Lalancette
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: FutureFeature
: 429010 (view as bug list)
Depends On:
Blocks: 248491 RHEL4u7_relnotes 430698
TreeView+ depends on / blocked
 
Reported: 2007-07-16 23:07 UTC by Tim Mann
Modified: 2018-11-14 14:47 UTC (History)
23 users (show)

Fixed In Version: RHSA-2008-0665
Doc Type: Enhancement
Doc Text:
The divider=<value> option is a kernel command line option that allows you to adjust the system clock rate while maintaining the same visible HZ timing value to user space applications. Using the divider= option allows you to reduce CPU overhead and increase efficiency at the cost of lowering the accuracy of timing operations and profiling. This is useful when running RHEL-4 under virtualized environments to help keep more accurate time and reduce load on the hypervisor. Useful <values> for the standard 1000Hz clock are: * 2 = 500Hz * 4 = 250Hz * 5 = 200Hz * 8 = 125Hz * 10 = 100Hz (value used by previous releases of Red Hat Enterprise Linux)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:13:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0665 normal SHIPPED_LIVE Moderate: Updated kernel packages for Red Hat Enterprise Linux 4.7 2008-07-24 16:41:06 UTC
Linux Kernel 5127 None None None Never
Red Hat Bugzilla 220281 None None None Never

Description Tim Mann 2007-07-16 23:07:49 UTC
As (partly) discussed in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=220281, the 1000 Hz timer
interrupt (tick) rate in early 2.6 kernels has some bad effects.  Most
obviously, the frequent timer interrupts have a performance cost.  Also
significantly, ticks get lost fairly often at this high rate, so the kernel has
code to detect and compensate for lost ticks, but this code is buggy (see
http://bugzilla.kernel.org/show_bug.cgi?id=5127) and can add spurious ticks,
making the clock run faster than real time.  If the lost tick compensation is
disabled (which is possible on 32-bit kernels using the clock=pit command-line
flag), lost ticks occur and the clock runs slower than real time.

All these effects occur on real hardware, but are much more severe in a virtual
machine.  (Of course one can avoid the problems by paravirtualizing time or
moving to newer kernel versions that don't base timekeeping on counting
interrupts, but this bug report is about stock RHEL4 kernels.)

The divider= patch that was added to RHEL5 in response to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=220281 helps with these
issues by letting the user select a lower timer interrupt rate without
recompiling the kernel.  Can this patch be backported to RHEL4 as well?

Comment 11 Jason Baron 2008-01-09 18:39:51 UTC
committed in stream U7 build 68.5. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/

Comment 12 Jose Plans 2008-01-22 11:52:52 UTC
*** Bug 429010 has been marked as a duplicate of this bug. ***

Comment 25 Don Domingo 2008-05-14 22:21:01 UTC
release note copied over from RHEL5.1 to RHEL4.7 for this bug. thanks!

Comment 27 Don Domingo 2008-06-02 23:16:28 UTC
Hi,

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL4u7relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don

Comment 31 errata-xmlrpc 2008-07-24 19:13:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Comment 35 Don Domingo 2008-08-03 21:37:17 UTC
Added New Release Notes Contents.


Note You need to log in before you can comment on or make changes to this bug.